<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.7.2
Name: [7] Nazwisko i imię osoby (bazowy)
Description: Wzorzec CDA nazwiska osoby.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.7.2-2018-06-30T000000">
   <title>[7] Nazwisko i imię osoby (bazowy)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]
Item: (plCdaBasePersonName)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name
Item: (plCdaBasePersonName)
-->

   <rule context="*[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name"
         id="tmp-r-c35b82ef-d611-4db7-bb29-bc01e9d4ab8e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2018-06-30T000000.html"
              test="count(hl7:prefix)&lt;=1">(plCdaBasePersonName): element hl7:prefix występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2018-06-30T000000.html"
              test="count(hl7:given)&gt;=1 ">(plCdaBasePersonName): element hl7:given jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2018-06-30T000000.html"
              test="count(hl7:family)&gt;=1 ">(plCdaBasePersonName): element hl7:family jest required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name/hl7:prefix
Item: (plCdaBasePersonName)
-->

   <rule context="*[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name/hl7:prefix"
         id="tmp-r-0478322e-5ffa-44b3-8f7e-3604a65b211d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePersonName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name/hl7:given
Item: (plCdaBasePersonName)
-->

   <rule context="*[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name/hl7:given"
         id="tmp-r-3a58f633-b88c-4a7f-9f39-a53393714d05">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePersonName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name/hl7:family
Item: (plCdaBasePersonName)
-->

   <rule context="*[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name/hl7:family"
         id="tmp-r-8a3b19ca-35d9-4a20-ad0c-3684fc6c8730">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePersonName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
