<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.11
Name: [2] Dokumenty uprawnień (rozszerzenie)
Description: Wzorzec rozszerzenia CDA dla dokumentów uprawnień
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000">
   <title>[2] Dokumenty uprawnień (rozszerzenie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.11
Context: *[extPL:entitlementDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.11']]
Item: (plExtEntitlementDocument)
-->

   <rule context="*[extPL:entitlementDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.11']]"
         id="tmp-r-29959675-772c-47b2-b7f5-6f99999c8b56">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="count(extPL:entitlementDocument)&gt;=1 and not(extPL:entitlementDocument/@nullFlavor)">(plExtEntitlementDocument): element extPL:entitlementDocument jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="count(extPL:entitlementDocument)&lt;=1">(plExtEntitlementDocument): element extPL:entitlementDocument występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.11
Context: *[extPL:entitlementDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.11']]/extPL:entitlementDocument
Item: (plExtEntitlementDocument)
-->

   <rule context="*[extPL:entitlementDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.11']]/extPL:entitlementDocument"
         id="tmp-r-72738676-46ae-4c90-9b84-292e8147e561">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="string(@classCode)='DOC'">(plExtEntitlementDocument): Wartość dla @classCode MUSI wynosić 'DOC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plExtEntitlementDocument): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plExtEntitlementDocument): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plExtEntitlementDocument): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="not(./*[not(self::extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.11'] | self::extPL:id[@root='2.16.840.1.113883.3.4424.8.2' and @extension] | self::extPL:id[@root='2.16.840.1.113883.3.4424.8.3' and @extension] | self::extPL:id[@root='2.16.840.1.113883.3.4424.8.5' and @extension] | self::extPL:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.40'])])">(plExtEntitlementDocument): We fragmencie dokumentu zgodnym z szablonem "[2] Dokumenty uprawnień (rozszerzenie)" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.11'])&gt;=1 and not(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.11']/@nullFlavor)">(plExtEntitlementDocument): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.11'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.11'])&lt;=1">(plExtEntitlementDocument): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.11'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(extPL:id[@root='2.16.840.1.113883.3.4424.8.2']|extPL:id[@root='2.16.840.1.113883.3.4424.8.3']|extPL:id[@root='2.16.840.1.113883.3.4424.8.5'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="$elmcount&gt;=1">(plExtEntitlementDocument): wybór (extPL:id[@root='2.16.840.1.113883.3.4424.8.2'] lub extPL:id[@root='2.16.840.1.113883.3.4424.8.3'] lub extPL:id[@root='2.16.840.1.113883.3.4424.8.5']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="$elmcount&lt;=1">(plExtEntitlementDocument): wybór (extPL:id[@root='2.16.840.1.113883.3.4424.8.2'] lub extPL:id[@root='2.16.840.1.113883.3.4424.8.3'] lub extPL:id[@root='2.16.840.1.113883.3.4424.8.5']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="count(extPL:id[@root='2.16.840.1.113883.3.4424.8.2'])&lt;=1">(plExtEntitlementDocument): element extPL:id[@root='2.16.840.1.113883.3.4424.8.2'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="count(extPL:id[@root='2.16.840.1.113883.3.4424.8.3'])&lt;=1">(plExtEntitlementDocument): element extPL:id[@root='2.16.840.1.113883.3.4424.8.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="count(extPL:id[@root='2.16.840.1.113883.3.4424.8.5'])&lt;=1">(plExtEntitlementDocument): element extPL:id[@root='2.16.840.1.113883.3.4424.8.5'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="count(extPL:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(extPL:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plExtEntitlementDocument): element extPL:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="count(extPL:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plExtEntitlementDocument): element extPL:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.11
Context: *[extPL:entitlementDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.11']]/extPL:entitlementDocument/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.11']
Item: (plExtEntitlementDocument)
-->

   <rule context="*[extPL:entitlementDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.11']]/extPL:entitlementDocument/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.11']"
         id="tmp-r-c14d64f3-0241-432a-afcd-4c214f934711">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plExtEntitlementDocument): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.11'">(plExtEntitlementDocument): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.11'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtEntitlementDocument): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.11
Context: *[extPL:entitlementDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.11']]/extPL:entitlementDocument/extPL:id[@root='2.16.840.1.113883.3.4424.8.2']
Item: (plExtEntitlementDocument)
-->

   <rule context="*[extPL:entitlementDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.11']]/extPL:entitlementDocument/extPL:id[@root='2.16.840.1.113883.3.4424.8.2']"
         id="tmp-r-41d16117-42bf-4411-b564-0e7110d8daf7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.8.2'">(plExtEntitlementDocument): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.8.2'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtEntitlementDocument): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="@extension">(plExtEntitlementDocument): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plExtEntitlementDocument): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.11
Context: *[extPL:entitlementDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.11']]/extPL:entitlementDocument/extPL:id[@root='2.16.840.1.113883.3.4424.8.3']
Item: (plExtEntitlementDocument)
-->

   <rule context="*[extPL:entitlementDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.11']]/extPL:entitlementDocument/extPL:id[@root='2.16.840.1.113883.3.4424.8.3']"
         id="tmp-r-d43a16a0-7a28-4f1d-8950-4363bfa74b2b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.8.3'">(plExtEntitlementDocument): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.8.3'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtEntitlementDocument): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="@extension">(plExtEntitlementDocument): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plExtEntitlementDocument): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.11
Context: *[extPL:entitlementDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.11']]/extPL:entitlementDocument/extPL:id[@root='2.16.840.1.113883.3.4424.8.5']
Item: (plExtEntitlementDocument)
-->

   <rule context="*[extPL:entitlementDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.11']]/extPL:entitlementDocument/extPL:id[@root='2.16.840.1.113883.3.4424.8.5']"
         id="tmp-r-df2a98d5-398b-4c80-b238-80461b9074d2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.8.5'">(plExtEntitlementDocument): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.8.5'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plExtEntitlementDocument): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="@extension">(plExtEntitlementDocument): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plExtEntitlementDocument): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.11
Context: *[extPL:entitlementDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.11']]/extPL:entitlementDocument/extPL:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plExtEntitlementDocument)
-->

   <rule context="*[extPL:entitlementDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.11']]/extPL:entitlementDocument/extPL:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-6f361772-8cd3-4e22-8a60-725118d34e2a">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plExtEntitlementDocument): Wartość elementu MUSI wynosić TypDokumentuUprawnien Typ dokumentu uprawnień (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.18-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.11-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plExtEntitlementDocument): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości TypDokumentuUprawnien Typ dokumentu uprawnień (DYNAMICZNE)</assert>
   </rule>
</pattern>
